## sonic-pi 3.1.0~repack~test2

=== app/server/ruby/vendor/fast_osc-0.0.12/ext/fast_osc/Makefile ===

SHELL = /bin/sh

# V=0 quiet, V=1 verbose.  other values don't work.
V = 0
Q1 = $(V:1=)
Q = $(Q1:0=@)
ECHO1 = $(V:1=@ :)
ECHO = $(ECHO1:0=@ echo)
NULLCMD = :

#### Start of system configuration section. ####

srcdir = .
topdir = /Users/sam/Development/sonic-pi/app/server/native/ruby/include/ruby-2.4.0
hdrdir = $(topdir)
arch_hdrdir = /Users/sam/Development/sonic-pi/app/server/native/ruby/include/ruby-2.4.0/x86_64-darwin12.0
PATH_SEPARATOR = :
VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby
prefix = $(DESTDIR)/Users/sam/Development/sonic-pi/app/server/native/ruby
rubysitearchprefix = $(rubylibprefix)/$(sitearch)
rubyarchprefix = $(rubylibprefix)/$(arch)
rubylibprefix = $(libdir)/$(RUBY_BASE_NAME)
exec_prefix = $(prefix)
vendorarchhdrdir = $(vendorhdrdir)/$(sitearch)
sitearchhdrdir = $(sitehdrdir)/$(sitearch)
rubyarchhdrdir = $(rubyhdrdir)/$(arch)
vendorhdrdir = $(rubyhdrdir)/vendor_ruby
sitehdrdir = $(rubyhdrdir)/site_ruby
rubyhdrdir = $(includedir)/$(RUBY_VERSION_NAME)
vendorarchdir = $(vendorlibdir)/$(sitearch)
vendorlibdir = $(vendordir)/$(ruby_version)
vendordir = $(rubylibprefix)/vendor_ruby
sitearchdir = $(sitelibdir)/$(sitearch)
sitelibdir = $(sitedir)/$(ruby_version)
sitedir = $(rubylibprefix)/site_ruby
rubyarchdir = $(rubylibdir)/$(arch)
rubylibdir = $(rubylibprefix)/$(ruby_version)
sitearchincludedir = $(includedir)/$(sitearch)
archincludedir = $(includedir)/$(arch)
sitearchlibdir = $(libdir)/$(sitearch)
archlibdir = $(libdir)/$(arch)
ridir = $(datarootdir)/$(RI_BASE_NAME)
mandir = $(datarootdir)/man
localedir = $(datarootdir)/locale
libdir = $(exec_prefix)/lib
psdir = $(docdir)
pdfdir = $(docdir)
dvidir = $(docdir)
htmldir = $(docdir)
infodir = $(datarootdir)/info
docdir = $(datarootdir)/doc/$(PACKAGE)
oldincludedir = $(SDKROOT)/usr/include
includedir = $(prefix)/include
localstatedir = $(prefix)/var
sharedstatedir = $(prefix)/com
sysconfdir = $(prefix)/etc
datadir = $(datarootdir)
datarootdir = $(prefix)/share
libexecdir = $(exec_prefix)/libexec
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
archdir = $(rubyarchdir)


CC = clang
CXX = clang++
LIBRUBY = $(LIBRUBY_A)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = 
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static -framework CoreFoundation
empty =
OUTFLAG = -o $(empty)
COUTFLAG = -o $(empty)
CSRCFLAG = $(empty)

RUBY_EXTCONF_H = 
cflags   = $(optflags) $(debugflags) $(warnflags)
cxxflags = $(optflags) $(debugflags) $(warnflags)
optflags = -O3 -fno-fast-math
debugflags = -ggdb3
warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wno-tautological-compare -Wno-parentheses-equality -Wno-constant-logical-operand -Wno-self-assign -Wunused-variable -Wimplicit-int -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wshorten-64-to-32 -Wimplicit-function-declaration -Wdivision-by-zero -Wdeprecated-declarations -Wextra-tokens
CCDLFLAGS = -fno-common
CFLAGS   = $(CCDLFLAGS) $(cflags)  -pipe -std=c99 -Wall -Wextra -Wno-unused-parameter -pedantic  $(ARCH_FLAG)
INCFLAGS = -I. -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir)
DEFS     = 
CPPFLAGS =  -I/Users/sam/Development/sonic-pi/app/server/native/ruby/include -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT -D_REENTRANT $(DEFS) $(cppflags)
CXXFLAGS = $(CCDLFLAGS) $(cxxflags) $(ARCH_FLAG)
ldflags  = -L. -fstack-protector -L/usr/local/lib
dldflags = -Wl,-undefined,dynamic_lookup -Wl,-multiply_defined,suppress 
ARCH_FLAG = 
DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG)
LDSHARED = $(CC) -dynamic -bundle
LDSHAREDXX = $(CXX) -dynamic -bundle
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = $(RUBY_BASE_NAME)
RUBY_SO_NAME = ruby
RUBYW_INSTALL_NAME = 
RUBY_VERSION_NAME = $(RUBY_BASE_NAME)-$(ruby_version)
RUBYW_BASE_NAME = rubyw
RUBY_BASE_NAME = ruby

arch = x86_64-darwin12.0
sitearch = $(arch)
ruby_version = 2.4.0
ruby = $(bindir)/$(RUBY_BASE_NAME)
RUBY = $(ruby)
ruby_headers = $(hdrdir)/ruby.h $(hdrdir)/ruby/backward.h $(hdrdir)/ruby/ruby.h $(hdrdir)/ruby/defines.h $(hdrdir)/ruby/missing.h $(hdrdir)/ruby/intern.h $(hdrdir)/ruby/st.h $(hdrdir)/ruby/subst.h $(arch_hdrdir)/ruby/config.h

RM = rm -f
RM_RF = $(RUBY) -run -e rm -- -rf
RMDIRS = rmdir -p
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp
TOUCH = exit >

#### End of system configuration section. ####

preload = 
libpath = . $(libdir) /Users/sam/Development/sonic-pi/app/server/native/ruby/lib
LIBPATH =  -L. -L$(libdir) -L/Users/sam/Development/sonic-pi/app/server/native/ruby/lib
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 
DISTCLEANDIRS = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS =   -lpthread -ldl -lobjc 
ORIG_SRCS = fast_osc_wrapper.c rtosc.c
SRCS = $(ORIG_SRCS) fast_osc_wrapper.c
OBJS = fast_osc_wrapper.o
HDRS = $(srcdir)/rtosc.h
LOCAL_HDRS = 
TARGET = fast_osc
TARGET_NAME = fast_osc
TARGET_ENTRY = Init_$(TARGET_NAME)
DLLIB = $(TARGET).bundle
EXTSTATIC = 
STATIC_LIB = 

TIMESTAMP_DIR = .
BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)
HDRDIR        = $(rubyhdrdir)/ruby$(target_prefix)
ARCHHDRDIR    = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)
TARGET_SO_DIR =
TARGET_SO     = $(TARGET_SO_DIR)$(DLLIB)
CLEANLIBS     = $(TARGET_SO) 
CLEANOBJS     = *.o  *.bak

all:    $(DLLIB)
static: $(STATIC_LIB)
.PHONY: all install static install-so install-rb
.PHONY: clean clean-so clean-static clean-rb

clean-static::
clean-rb-default::
clean-rb::
clean-so::
clean: clean-so clean-static clean-rb-default clean-rb
		-$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time

distclean-rb-default::
distclean-rb::
distclean-so::
distclean-static::
distclean: clean distclean-so distclean-static distclean-rb-default distclean-rb
		-$(Q)$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		-$(Q)$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
		-$(Q)$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true

realclean: distclean
install: install-so install-rb

install-so: $(DLLIB) $(TIMESTAMP_DIR)/.sitearchdir.time
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
clean-static::
	-$(Q)$(RM) $(STATIC_LIB)
install-rb: pre-install-rb do-install-rb install-rb-default
install-rb-default: pre-install-rb-default do-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
do-install-rb:
do-install-rb-default:
pre-install-rb-default:
	@$(NULLCMD)
$(TIMESTAMP_DIR)/.sitearchdir.time:
	$(Q) $(MAKEDIRS) $(@D) $(RUBYARCHDIR)
	$(Q) $(TOUCH) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .mm .cxx .cpp .o .S

.cc.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.cc.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.mm.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.mm.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.cxx.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.cxx.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.cpp.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.cpp.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.c.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.c.S:
	$(ECHO) translating $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.m.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.m.S:
	$(ECHO) translating $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

$(TARGET_SO): $(OBJS) Makefile
	$(ECHO) linking shared-object $(DLLIB)
	-$(Q)$(RM) $(@)
	$(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)
	$(Q) $(POSTLINK)



$(OBJS): $(HDRS) $(ruby_headers)

## sonic-pi 2.9.0~repack

=== debian/changelog ===
sonic-pi (2.9.0~repack-6) unstable; urgency=medium

  * Build-depend on a version of ruby-wavefile working with big
    endian machines.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Feb 2016 07:57:23 +0000

sonic-pi (2.9.0~repack-5) unstable; urgency=medium

  [ Hanno Zulla ]
  * don't load did_you_mean on Debian with ruby < 2.3.0

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Feb 2016 16:50:24 +0100

sonic-pi (2.9.0~repack-4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Upgraded standards-version from 3.9.6 to 3.9.7.
  * Fixed typo in debian/copyright (Licence -> License).

  [ Hanno Zulla ]
  * Build-depend on sc3-plugins-server to avoid building on non-working
    architectures.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Feb 2016 11:46:23 +0100

sonic-pi (2.9.0~repack-3) unstable; urgency=low

  * debian/copyright: Document zlib license for two hh files.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Feb 2016 17:53:06 +0000

sonic-pi (2.9.0~repack-2) unstable; urgency=low

  * Remove duplicate lintian-overrides file.
  * Use ssl URIs for git repos.
  * Remove unused library from build-depends.

 -- Hanno Zulla <kontakt@hanno.de>  Fri, 19 Feb 2016 09:37:00 +0100

sonic-pi (2.9.0~repack-1) unstable; urgency=low

  * Initial packaging.
  * Packaging info in debian/README.source and debian/patches/*.patch.
  * Closes: #796550.

 -- Hanno Zulla <kontakt@hanno.de>  Fri, 12 Feb 2016 12:08:00 +0100

=== debian/control ===
Source: sonic-pi
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Hanno Zulla <kontakt@hanno.de>,
 Georges Khaznadar <georgesk@debian.org>,
 Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 rake,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libqt5scintilla2-dev,
 sc3-plugins-server,
 ruby,
 ruby-activesupport,
 ruby-benchmark-ips,
 ruby-hamster,
 ruby-kramdown,
 ruby-minitest,
 ruby-mocha,
 ruby-multi-json,
 ruby-rugged,
 ruby-wavefile (>= 0.6.0-2),
 ruby-all-dev
Standards-Version: 3.9.7
Homepage: http://sonic-pi.net/
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sonic-pi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-pi.git

Package: sonic-pi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 sonic-pi-server,
 alsa-utils
Description: Live Coding for Everyone
 A free live coding synth for everyone. Originally designed to support
 computing and music lessons within schools. Use code to compose and
 perform in classical and contemporary styles ranging from Canons to
 Dubstep.

Package: sonic-pi-server
Architecture: all
Depends:
 ${misc:Depends},
 ruby,
 ruby-activesupport,
 ruby-hamster,
 ruby-kramdown,
 ruby-multi-json,
 ruby-rugged,
 ruby-wavefile,
 sonic-pi-samples,
 supercollider-server,
 sc3-plugins-server,
 jackd
Suggests:
 sonic-pi-server-doc
Description: Backend server for Sonic Pi
 The Sonic Pi backend server connects to SuperCollider to play synths
 and samples. Advanced users may want to use the server for experiments
 without the graphical user interface provided by the sonic-pi package.

Package: sonic-pi-server-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Sonic Pi
 These are the Markdown source files and a converted HTML version of
 the Sonic Pi main documentation. If you installed the sonic-pi IDE
 package, you propably don't need this package, as a copy of the
 documentation is already included within the application.

Package: sonic-pi-samples
Architecture: all
Depends: ${misc:Depends}
Description: Audio samples for Sonic Pi
 Sonic Pi is shipped with a default audio sample collection, containing
 musical snippets, sound effects and rhythm loops created by various
 various contributors at freesound.org.

## sonic-pi 2.10.0~repack

=== debian/changelog ===
sonic-pi (2.10.0~repack-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for new QScintilla2 library names (Closes: #885626)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Jan 2018 06:57:23 -0500

sonic-pi (2.10.0~repack-2) unstable; urgency=medium

  [ Hanno Zulla ]
  * Add missing examples/ directory for Debian distribution package.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 17 May 2016 18:16:41 +0000

sonic-pi (2.10.0~repack-1) unstable; urgency=medium

  [ Hanno Zulla ]
  * New upstream release 2.10 - 'Cowbell'.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Apr 2016 09:37:11 +0000

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
export QT_SELECT = qt5

%:
	dh $@ --parallel --buildsystem=qmake --sourcedirectory=app/gui/qt --builddirectory=app/gui/qt

# This is based on upstream's Raspbian builder script app/gui/qt/rp-build-app

override_dh_auto_configure:
	chmod 755 app/server/bin/sonic-pi-server.rb
	cd app/server/vendor/ruby-beautify/lib && \
	  cp    ruby-beautify.rb ruby-beautify-legacy.rb && \
	  cp -r ruby-beautify    ruby-beautify-legacy && \
	  chmod 644 ruby-beautify-legacy.rb ruby-beautify-legacy/*.rb ruby-beautify-legacy/config/*.rb
	cd app/gui/qt && \
	  cp -f ruby_help.tmpl ruby_help.h && \
	  ../../server/bin/qt-doc.rb -o ruby_help.h
	cd app/gui/qt && \
	  lrelease SonicPi.pro
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd app/server/sonicpi/test ; \
	  ruby -e 'require "ruby_debian_dev"; include RubyDebianDev; SUPPORTED_RUBY_VERSIONS.each { |v, b| system("#{b} /usr/bin/rake test") or raise "test failed for #{v}" }'
	dh_auto_test
endif

override_dh_clean:
	if [ -e app/gui/qt/Makefile ]; then \
	    make -C app/gui/qt/Makefile clean; \
	  fi ;
	rm -rf \
	  app/server/vendor/ruby-beautify/lib/ruby-beautify-legacy.rb \
	  app/server/vendor/ruby-beautify/lib/ruby-beautify-legacy \
	  app/gui/qt/sonic-pi \
	  app/gui/qt/Makefile \
	  app/gui/qt/ruby_help.h \
	  app/gui/qt/help_files.qrc \
	  app/gui/qt/lang/*.qm \
	  app/gui/qt/book/ \
	  app/gui/qt/help/ \
	  app/gui/qt/info/
	dh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\~repack$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sonic-pi-$1\.tar\.gz/,repacksuffix=~repack \
  https://github.com/samaaron/sonic-pi/tags .*/v?(\d\S*)\.tar\.gz

## sonic-pi 2.10.0.1~repack+rb2

=== debian/changelog ===
sonic-pi (2.10.0.1~repack+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>  Wed, 27 Jan 2021 14:28:48 +0800

## sonic-pi 3.1.0~repack~test2

=== debian/changelog ===
sonic-pi (3.1.0~repack~test2-1) UNRELEASED; urgency=medium

  * New upstream release
  * Disable 01-remove-rpi-volume.patch, it doesn't apply in it's present state
    and it's not clear if it is relavent anymore.
  * Update 02-do-no-require-unused-ruby-gems.patch to apply to new upstream
    source.
  * Update 03-use-debian-gems.patch to apply to new upstream source
    (note: some of the removed code has disappeared, possiblly needs further
    investigation)
  * Update paths in 04-rename-ruby-beautify-legacy.patch and refresh
    patch for fuzz.
  * Update paths in 05-doc-base-index.patch
  * Disable 06-paths.patch, it seems this fix was merged upstream, and then
    later the code in question was eliminated.
  * Update path in debian/patches/07-examples-path.patch
  * Update qsci_rename.patch for upstream changes.
  * undo removal of os detection in 03-use-debian-gems.patch, other
    code in the file depends on it.
  * undo removal of "ruby-api" retrival in 03-use-debian-gems.patch, other
    code in the file depends on it. 
  * explicitly used vendor version of some deps that are not in Debian.
  * Add depends and build-depends on ruby-ffi
  * Add depends and build-depends on libaubio5
  * Modify 07-examples-path.patch to use the FHS path unconditionally as
    "linux_fhs" no longer seems to exist.
  * Add build-depends on libqwt-qt5-dev.
  * Update many paths in debian/rules.
  * Disable two failing tests for now (see https://github.com/samaaron/sonic-pi/issues/1865 )
  * Update paths in install files.
  * Revert upstream removal of fhs support.
  * Add build-depends on libqt5svg5-dev.
  * Add build-depends on libboost-dev.
  * Add dependency on ruby-memoist.
  * Update debian/copyright for path layout and vendor lib changes.
  * Version supercollider dependency as >= 3.10, earlier versions seem not to
    work.

 -- root <root@cuboxi4x4>  Wed, 26 Jun 2019 22:12:52 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools,
- libqt5scintilla2-dev,
+ libqscintilla2-qt5-dev,
  sc3-plugins-server,
  ruby,
  ruby-activesupport,
@@ -26,8 +26,13 @@
  ruby-multi-json,
  ruby-rugged,
  ruby-wavefile (>= 0.6.0-2),
- ruby-all-dev
-Standards-Version: 3.9.7
+ ruby-all-dev,
+ ruby-ffi,
+ libaubio5,
+ libqwt-qt5-dev,
+ libqt5svg5-dev,
+ libboost-dev
+Standards-Version: 3.9.8
 Homepage: http://sonic-pi.net/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sonic-pi.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-pi.git
@@ -37,7 +42,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- sonic-pi-server,
+ sonic-pi-server (= ${source:Version}),
  alsa-utils
 Description: Live Coding for Everyone
  A free live coding synth for everyone. Originally designed to support
@@ -56,10 +61,13 @@
  ruby-multi-json,
  ruby-rugged,
  ruby-wavefile,
- sonic-pi-samples,
- supercollider-server,
- sc3-plugins-server,
- jackd
+ sonic-pi-samples (= ${source:Version}),
+ supercollider-server (>= 1:3.10.0),
+ sc3-plugins-server (>= 3.9.1~),
+ jackd,
+ ruby-ffi,
+ libaubio5,
+ ruby-memoist
 Suggests:
  sonic-pi-server-doc
 Description: Backend server for Sonic Pi
@@ -83,4 +91,4 @@
 Description: Audio samples for Sonic Pi
  Sonic Pi is shipped with a default audio sample collection, containing
  musical snippets, sound effects and rhythm loops created by various
- various contributors at freesound.org.
+ contributors at freesound.org.

=== debian/rules ===
--- 
+++ 
@@ -12,21 +12,21 @@
 # This is based on upstream's Raspbian builder script app/gui/qt/rp-build-app
 
 override_dh_auto_configure:
-	chmod 755 app/server/bin/sonic-pi-server.rb
-	cd app/server/vendor/ruby-beautify/lib && \
+	chmod 755 app/server/ruby/bin/sonic-pi-server.rb
+	cd app/server/ruby/vendor/ruby-beautify/lib && \
 	  cp    ruby-beautify.rb ruby-beautify-legacy.rb && \
 	  cp -r ruby-beautify    ruby-beautify-legacy && \
 	  chmod 644 ruby-beautify-legacy.rb ruby-beautify-legacy/*.rb ruby-beautify-legacy/config/*.rb
 	cd app/gui/qt && \
 	  cp -f ruby_help.tmpl ruby_help.h && \
-	  ../../server/bin/qt-doc.rb -o ruby_help.h
+	  ../../server/ruby/bin/qt-doc.rb -o ruby_help.h
 	cd app/gui/qt && \
 	  lrelease SonicPi.pro
 	dh_auto_configure
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd app/server/sonicpi/test ; \
+	cd app/server/ruby/test ; \
 	  ruby -e 'require "ruby_debian_dev"; include RubyDebianDev; SUPPORTED_RUBY_VERSIONS.each { |v, b| system("#{b} /usr/bin/rake test") or raise "test failed for #{v}" }'
 	dh_auto_test
 endif
@@ -36,8 +36,8 @@
 	    make -C app/gui/qt/Makefile clean; \
 	  fi ;
 	rm -rf \
-	  app/server/vendor/ruby-beautify/lib/ruby-beautify-legacy.rb \
-	  app/server/vendor/ruby-beautify/lib/ruby-beautify-legacy \
+	  app/server/ruby/vendor/ruby-beautify/lib/ruby-beautify-legacy.rb \
+	  app/server/ruby/vendor/ruby-beautify/lib/ruby-beautify-legacy \
 	  app/gui/qt/sonic-pi \
 	  app/gui/qt/Makefile \
 	  app/gui/qt/ruby_help.h \

## sonic-pi 3.2.2~repack

=== app/gui/qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

message(STATUS " CMakeLists: Sonic Pi")

project(SonicPi
    LANGUAGES CXX C
    VERSION 3.2.0
    )

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_MODULE_PATH ${APP_ROOT}/cmake)

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set(APP_ROOT ${CMAKE_CURRENT_LIST_DIR})
set(SONIC_PI_ROOT ${CMAKE_CURRENT_LIST_DIR}/../../..)

# Set cmake prefix path so it can find the Qt libraries
if((${BUILD_32BIT}) AND (DEFINED ENV{QT_INSTALL_LOCATION32}))
  message(STATUS "Setting up a 32 bit Qt Build")
  message(STATUS "Setting prefix to user-defined Qt (32-bit) install location: $ENV{QT_INSTALL_LOCATION32}")
  set(CMAKE_PREFIX_PATH $ENV{QT_INSTALL_LOCATION32})
elseif(DEFINED ENV{QT_INSTALL_LOCATION})
  message(STATUS "Setting prefix to user-defined Qt install location: $ENV{QT_INSTALL_LOCATION}")
  set(CMAKE_PREFIX_PATH $ENV{QT_INSTALL_LOCATION})
elseif(APPLE AND EXISTS /usr/local/opt/qt5)
  # Homebrew installs Qt into/usr/local/qt5
  message(STATUS "Setting prefix to Homebrew's Qt install location: /usr/local/opt/qt5")
  set(CMAKE_PREFIX_PATH /usr/local/opt/qt5)
endif()

CONFIGURE_FILE(${CMAKE_CURRENT_LIST_DIR}/cmake/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

# Qt Setup
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(QT_TOOLS_DIR ${CMAKE_PREFIX_PATH}/bin)

set_property(GLOBAL PROPERTY AUTOMOC_FOLDER Automoc)
set_property(GLOBAL PROPERTY AUTOGEN_TARGETS_FOLDER Automoc)

find_package(Qt5 COMPONENTS Core Widgets Gui Concurrent Network OpenGL PrintSupport Xml Svg REQUIRED)
find_package(Threads REQUIRED)

# We build scintilla as part of the main project to make it easy to debug/fix
add_subdirectory(external/QScintilla-2.11.4)

set(APP_NAME sonic-pi)

set(OSC_SOURCES
    ${APP_ROOT}/osc/oschandler.cpp
    ${APP_ROOT}/osc/oscsender.cpp
    ${APP_ROOT}/osc/sonic_pi_osc_server.cpp
    ${APP_ROOT}/osc/sonic_pi_udp_osc_server.cpp
    ${APP_ROOT}/osc/sonic_pi_tcp_osc_server.cpp
    ${APP_ROOT}/osc/oscpkt.hh
    ${APP_ROOT}/osc/udp.hh
    ${APP_ROOT}/osc/oschandler.h
    ${APP_ROOT}/osc/oscsender.h
    ${APP_ROOT}/osc/sonic_pi_osc_server.h
    ${APP_ROOT}/osc/sonic_pi_udp_osc_server.h
    ${APP_ROOT}/osc/sonic_pi_tcp_osc_server.h
    )

set(EDITOR_SOURCES
    ${APP_ROOT}/widgets/sonicpiscintilla.cpp
    ${APP_ROOT}/widgets/sonicpilexer.cpp
    ${APP_ROOT}/widgets/sonicpilexer.h
    ${APP_ROOT}/widgets/sonicpiscintilla.h
    )

set(QT_SOURCES
    ${APP_ROOT}/widgets/infowidget.cpp
    ${APP_ROOT}/widgets/settingswidget.cpp
    ${APP_ROOT}/mainwindow.cpp
    ${APP_ROOT}/mainwindow.h
    ${APP_ROOT}/model/sonicpitheme.cpp
    ${APP_ROOT}/model/sonicpitheme.h
    ${APP_ROOT}/widgets/infowidget.h
    ${APP_ROOT}/widgets/settingswidget.h
    )

set(SOURCES
    ${APP_ROOT}/external/kiss_fft/kiss_fft.c
    ${APP_ROOT}/external/kiss_fft/kiss_fft.h
    ${APP_ROOT}/visualizer/scope.cpp
    ${APP_ROOT}/visualizer/scope.h
    ${APP_ROOT}/visualizer/scope_buffer.hpp
    ${APP_ROOT}/visualizer/server_shm.hpp
    ${APP_ROOT}/main.cpp
    ${APP_ROOT}/utils/sonicpiapis.cpp
    ${APP_ROOT}/widgets/sonicpilog.cpp
    ${APP_ROOT}/widgets/sonicpilog.h
    ${APP_ROOT}/utils/sonicpiapis.h
    ${APP_ROOT}/utils/ruby_help.h
    ${APP_ROOT}/model/settings.h
    )

SET(RESOURCES
    ${APP_ROOT}/SonicPi.qrc
    ${APP_ROOT}/help_files.qrc
    ${APP_ROOT}/info_files.qrc
    ${APP_ROOT}/SonicPi.rc
    ${APP_ROOT}/images/app.icns
    )

# Enable tracy profiler on debug and rel with debug builds
if(WIN32)
SET (SOURCES ${SOURCES} ${APP_ROOT}/external/tracy/TracyClient.cpp)
endif()

set(ALL_SOURCES ${OSC_SOURCES} ${QT_SOURCES} ${SOURCES} ${EDITOR_SOURCES})

# Create the Qt version of the app
add_executable(${APP_NAME} WIN32 ${ALL_SOURCES} ${RESOURCES}) # Win32 ignored on non-windows
set_property(TARGET ${APP_NAME} PROPERTY POSITION_INDEPENDENT_CODE ON) # Qt requires this?
target_include_directories(${APP_NAME}
    PRIVATE
    ${APP_ROOT}
    ${APP_ROOT}/external/boost_1_72_0
    ${APP_ROOT}/external
    ${APP_ROOT}/osc
    ${APP_ROOT}/model
    ${APP_ROOT}/visualizer
    ${APP_ROOT}/widgets
    ${APP_ROOT}/Utils
    ${Qt5Widgets_INCLUDE_DIRS}
    ${Qt5Gui_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${CMAKE_BINARY_DIR}
    include)

target_link_libraries(${APP_NAME}
    PRIVATE
    QScintilla
    Qt5::Core 
    Qt5::Gui 
    Qt5::Widgets
    Qt5::OpenGL
    Qt5::Concurrent
    Qt5::Network
    Threads::Threads)

# Compile options and OS specific libraries
if(WIN32)
    # Workaround Qt + MSVC 19 compile issue in release build.
    target_compile_options(${APP_NAME} PRIVATE $<$<CXX_COMPILER_ID:MSVC>:/wd4005 /W3 /D_CRT_SECURE_NO_WARNINGS /D_WINSOCK_DEPRECATED_NO_WARNINGS /DBOOST_DATE_TIME_NO_LIB>)
    target_compile_options(${APP_NAME} PRIVATE "$<$<CONFIG:DEBUG>:-DTRACY_ENABLE=1>")
    target_compile_options(${APP_NAME} PRIVATE "$<$<CONFIG:RELWITHDEBINFO>:-DTRACY_ENABLE=1>")
elseif(${CMAKE_SYSTEM_NAME} MATCHES Linux)
    # Link librt
    target_link_libraries(${APP_NAME} PRIVATE rt)
endif()

# Deploy Qt binaries to the output on windows, and copy the CRT to the release folder
if(WIN32)
    # Visual Studio
    set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP true)
    include(InstallRequiredSystemLibraries)
    file(COPY ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/Release)

    # Run winddeployqt if it can be found, to ensure installed dependencies
    add_custom_command(TARGET ${APP_NAME} POST_BUILD
        COMMAND ${CMAKE_PREFIX_PATH}/bin/windeployqt $<TARGET_FILE:${APP_NAME}>)
endif() # Win32

# Make convenient source groups in the IDE
source_group(SonicPi FILES ${SOURCES})
source_group(Osc FILES ${OSC_SOURCES})
source_group(Scintilla FILES ${EDITOR_SOURCES})
source_group(Qt FILES ${QT_SOURCES})

source_group(Qt\\AutoMoc FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_automoc.cpp ) 
source_group(Qt\\AutoMoc REGULAR_EXPRESSION "(mocs_*|qrc_.*|QtAwesome.*)" )

=== debian/changelog ===
sonic-pi (3.2.2~repack-7) unstable; urgency=medium

  * Try to ignore blhc warning for CMakeCXXCompilerABI.cpp
  * Update Standards-Version
  * Try to fix flaky gui test (Closes: #979620)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 Jan 2021 21:47:54 +0100

sonic-pi (3.2.2~repack-6) unstable; urgency=medium

  * Add osmid and sox dependencies
  * Store ~/.sonic-pi into test artifacts
  * Update watch file version
  * Update lintian overrides

 -- Valentin Vidic <vvidic@debian.org>  Sun, 08 Nov 2020 16:26:48 +0100

sonic-pi (3.2.2~repack-5) unstable; urgency=medium

  * Try to make language list reproducible by sorting
  * Add Multi-Arch fields for arch-indep packages
  * Make build verbose for blhc check to work
  * Fix tutorial language name for debian-i18n

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Oct 2020 11:40:59 +0200

sonic-pi (3.2.2~repack-4) unstable; urgency=medium

  * Update CC-BY-SA-4.0 license text (Closes: #903045)
  * Use clipboard for entering code in gui test
  * Drop patch for fixed aubio import
  * Try to make examples reproducible by sorting

 -- Valentin Vidic <vvidic@debian.org>  Tue, 29 Sep 2020 21:47:57 +0200

sonic-pi (3.2.2~repack-3) unstable; urgency=medium

  * Use debhelper 13
  * Try to make erlang build reproducible
  * Update lintian override tag
  * Set Rules-Requires-Root to no
  * Update gui test to record audio output

 -- Valentin Vidic <vvidic@debian.org>  Sun, 27 Sep 2020 14:02:10 +0200

sonic-pi (3.2.2~repack-2) unstable; urgency=medium

  * Enable Salsa CI
  * Fix ruby dependencies
  * Add autopkgtest for server and gui
  * Fix deprecated file existence check

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Sep 2020 23:33:33 +0200

sonic-pi (3.2.2~repack-1) unstable; urgency=medium

  * New upstream version 3.2.2~repack (Closes: #931144)
  * Prepare Files-Excluded for import of new version
  * Update patches for new version
  * Update dependencies for new version
  * Update copyright paths for new version
  * Update build rules for new version
  * Update installation paths for new version
  * Update Lintian overrides for new version
  * Add myself to Uploaders

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Sep 2020 12:28:19 +0200

sonic-pi (2.10.0~repack-3) unstable; urgency=medium

  * changed Architecture: any to
    Architecture: i386 amd64 arm64 armhf mipsel to comply with architectures
    supported by the build-dependency supercollider-dev
  * udated Standards-Version: 4.5.0 , and dehelper-compat =12
  * replaced the dependency on libqt5scintilla2-dev => libqscintilla2-qt5-dev
    and the clause -lqt5scintilla2 => -lqscintilla2_qt5
  * fixed the deprecated calls to QString.sprinf. Closes: #964659

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 19:05:19 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,24 @@
 export QT_SELECT = qt5
 
 %:
-	dh $@ --parallel --buildsystem=qmake --sourcedirectory=app/gui/qt --builddirectory=app/gui/qt
+	dh $@ --buildsystem=cmake --sourcedirectory=app/gui/qt --builddirectory=app/gui/qt
 
 # This is based on upstream's Raspbian builder script app/gui/qt/rp-build-app
 
 override_dh_auto_configure:
+	chmod 755 app/server/ruby/bin/port-discovery.rb
 	chmod 755 app/server/ruby/bin/sonic-pi-server.rb
 	cd app/server/ruby/vendor/ruby-beautify/lib && \
 	  cp    ruby-beautify.rb ruby-beautify-legacy.rb && \
 	  cp -r ruby-beautify    ruby-beautify-legacy && \
 	  chmod 644 ruby-beautify-legacy.rb ruby-beautify-legacy/*.rb ruby-beautify-legacy/config/*.rb
-	cd app/gui/qt && \
+	cd app/gui/qt/utils && \
 	  cp -f ruby_help.tmpl ruby_help.h && \
-	  ../../server/ruby/bin/qt-doc.rb -o ruby_help.h
-	cd app/gui/qt && \
-	  lrelease SonicPi.pro
+	  ../../../server/ruby/bin/qt-doc.rb -o ruby_help.h
+	cmake app/gui/qt
+	lrelease app/gui/qt/lang/*.ts
+	cd app/server/erlang && \
+	  erlc +deterministic osc.erl pi_server.erl
 	dh_auto_configure
 
 override_dh_auto_test:

=== debian/tests/control ===
Depends: sonic-pi-server
Tests: server

Depends: sonic-pi, xvfb, xdotool, xclip, x11-apps, jack-capture, aubio-tools
Tests: gui
Restrictions: flaky

=== debian/watch ===
version=4
opts=dversionmangle=s/\~repack$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sonic-pi-$1\.tar\.gz/,repacksuffix=~repack \
  https://github.com/samaaron/sonic-pi/tags .*/v?(\d\S*)\.tar\.gz
